## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# TODO adjust once this is implemented:
# https://bugzilla.redhat.com/show_bug.cgi?id=1935266
%global modname  jaraco
%global projname %{modname}.logging
%global pkgname  %{modname}-logging

%if 0%{?epel} <= 9
# pytest fails with some weird import path error in EPEL 9
%bcond tests 0
%else
%bcond tests 1
%endif

Name:           python-%{pkgname}
Version:        3.3.0
Release:        %autorelease
Summary:        Support for Python logging facility

License:        MIT
URL:            https://github.com/jaraco/%{projname}
Source0:        %{pypi_source %{projname}}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Support for Python logging facility.}

%description %_description

%package     -n python3-%{pkgname}
Summary:        %{summary}

%description -n python3-%{pkgname} %_description

%prep
%autosetup -n %{projname}-%{version}

# Remove dev-only dependencies. Upstream later split the `test` dependencies out of it
# https://github.com/jaraco/skeleton/issues/138
sed -E -i '/pytest-/d' setup.cfg
sed -E -i '/python_implementation/d' setup.cfg

%if 0%{?rhel}
# relax setuptools requirement in EPEL
sed -i 's/setuptools>=56/setuptools/' pyproject.toml
%endif

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -x testing
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{modname}

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst NEWS.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 3.3.0-10
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 11 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.3.0-8
- Run the upstream tests

* Sat Jan 11 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.3.0-7
- Stop depending on python3-jaraco

* Sat Jan 11 2025 Ondrej Mosnáček <omosnacek@gmail.com> - 3.3.0-6
- Let Python macros include the license automatically

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.3.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 24 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.3.0-1
- Update to version 3.3.0 (fedora#2255760)

* Thu Aug 31 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.2.0-1
- Update to version 3.2.0 (fedora#2236348)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 3.1.2-5
- Rebuilt for Python 3.12

* Wed Mar 15 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.1.2-4
- Adjust for EPEL9

* Tue Mar 14 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.1.2-3
- Add back the %%license line

* Tue Feb 21 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.1.2-2
- Apply minor suggestions from review

* Fri Feb 17 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 3.1.2-1
- Initial import (fedora#2164875)
## END: Generated by rpmautospec
